Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkUnsignedShortArray Class Reference

`#include <vtkUnsignedShortArray.h>`

Inheritance diagram for vtkUnsignedShortArray:

[legend]
Collaboration diagram for vtkUnsignedShortArray:

[legend]
List of all members.

## Detailed Description

dynamic, self-adjusting unsigned short integer array

Date:
  2002/11/21 16:11:51

Revision:
  1.53

vtkUnsignedShortArray is an array of unsigned short integer numbers. It provides methods for insertion and retrieval of integer values, and will automatically resize itself to hold new data.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (30%)
  - Martin, Ken (22%)
  - Schroeder, Will (11%)
  - Henderson, Amy (8%)
  - Geveci, Berk (7%)
  - Miller, Jim (7%)
  - Kelly, Ann (6%)

CVS logs (CVSweb):
  - .`cxx` (`/Common/vtkUnsignedShortArray.cxx)`
  - .`h` (`/Common/vtkUnsignedShortArray.h)`

Tests:
  vtkUnsignedShortArray (Tests)

Definition at line 51 of file vtkUnsignedShortArray.h.

## Public Types
typedef vtkDataArray | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
int | Allocate (const vtkIdType sz, const vtkIdType ext=1000)
void | Initialize ()
int | GetDataType ()
int | GetDataTypeSize ()
void | SetNumberOfTuples (const vtkIdType number)
float * | GetTuple (const vtkIdType i)
float | GetComponent (const vtkIdType i, const int j)
void | SetComponent (const vtkIdType i, const int j, float c)
void | InsertComponent (const vtkIdType i, const int j, float c)
unsigned short | GetValue (const vtkIdType id)
void | SetNumberOfValues (const vtkIdType number)
void | InsertValue (const vtkIdType id, const unsigned short i)
vtkIdType | InsertNextValue (const unsigned short)
unsigned short * | WritePointer (const vtkIdType id, const vtkIdType number)
void | DeepCopy (vtkDataArray *ia)
void | Squeeze ()
virtual void | Resize (vtkIdType numTuples)
void | GetTuple (const vtkIdType i, float *tuple)
void | GetTuple (const vtkIdType i, double *tuple)
void | SetTuple (const vtkIdType i, const float *tuple)
void | SetTuple (const vtkIdType i, const double *tuple)
void | InsertTuple (const vtkIdType i, const float *tuple)
void | InsertTuple (const vtkIdType i, const double *tuple)
vtkIdType | InsertNextTuple (const float *tuple)
vtkIdType | InsertNextTuple (const double *tuple)
void | SetValue (const vtkIdType id, const unsigned short value)
unsigned short * | GetPointer (const vtkIdType id)
void * | GetVoidPointer (const vtkIdType id)
void | SetArray (unsigned short *array, vtkIdType size, int save)
void | SetVoidArray (void *array, vtkIdType size, int save)
## Static Public Methods
vtkUnsignedShortArray * | New ()
int | IsTypeOf (const char *type)
vtkUnsignedShortArray * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkUnsignedShortArray (vtkIdType numComp=1)
| ~vtkUnsignedShortArray ()
unsigned short * | ResizeAndExtend (const vtkIdType sz)
## Protected Attributes
unsigned short * | Array
int | TupleSize
float * | Tuple
int | SaveUserArray

## Member Typedef Documentation

typedef vtkDataArray vtkUnsignedShortArray::Superclass

| Reimplemented from vtkDataArray. Definition at line 56 of file vtkUnsignedShortArray.h.

## Constructor & Destructor Documentation

vtkUnsignedShortArray::vtkUnsignedShortArray | ( | vtkIdType | numComp = 1 | ) | `[protected]`

vtkUnsignedShortArray::~vtkUnsignedShortArray | ( |  | ) | `[protected]`

## Member Function Documentation

vtkUnsignedShortArray* vtkUnsignedShortArray::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkUnsignedShortArray::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataArray.

int vtkUnsignedShortArray::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataArray.

virtual int vtkUnsignedShortArray::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataArray.

vtkUnsignedShortArray* vtkUnsignedShortArray::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataArray.

void vtkUnsignedShortArray::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataArray.

int vtkUnsignedShortArray::Allocate | ( | const vtkIdType | sz,
|  | const vtkIdType | ext = 1000
| ) | `[virtual]`

| Allocate memory for this array. Delete old storage only if necessary. Note that ext is no longer used. Implements vtkDataArray. Referenced by SetNumberOfValues().

void vtkUnsignedShortArray::Initialize | ( |  | ) | `[virtual]`

| Release storage and reset array to initial state. Implements vtkDataArray.

int vtkUnsignedShortArray::GetDataType | ( |  | ) | `[inline, virtual]`

| Get the data type. Implements vtkDataArray. Definition at line 67 of file vtkUnsignedShortArray.h. References VTK_UNSIGNED_SHORT.

int vtkUnsignedShortArray::GetDataTypeSize | ( |  | ) | `[inline, virtual]`

| Return the size of the data type. Implements vtkDataArray. Definition at line 70 of file vtkUnsignedShortArray.h.

void vtkUnsignedShortArray::SetNumberOfTuples | ( | const vtkIdType | number | ) | `[virtual]`

| Set the number of n-tuples in the array. Implements vtkDataArray.

float* vtkUnsignedShortArray::GetTuple | ( | const vtkIdType | i | ) | `[virtual]`

| Get a pointer to a tuple at the ith location. This is a dangerous method (it is not thread safe since a pointer is returned). Implements vtkDataArray.

void vtkUnsignedShortArray::GetTuple | ( | const vtkIdType | i,
|  | float * | tuple
| ) | `[virtual]`

| Copy the tuple value into a user-provided array. Implements vtkDataArray.

void vtkUnsignedShortArray::GetTuple | ( | const vtkIdType | i,
|  | double * | tuple
| ) | `[virtual]`

| Copy the tuple value into a user-provided array. Reimplemented from vtkDataArray.

void vtkUnsignedShortArray::SetTuple | ( | const vtkIdType | i,
|  | const float * | tuple
| ) | `[virtual]`

| Set the tuple value at the ith location in the array. Implements vtkDataArray.

void vtkUnsignedShortArray::SetTuple | ( | const vtkIdType | i,
|  | const double * | tuple
| ) | `[virtual]`

| Set the tuple value at the ith location in the array. Reimplemented from vtkDataArray.

void vtkUnsignedShortArray::InsertTuple | ( | const vtkIdType | i,
|  | const float * | tuple
| ) | `[virtual]`

| Insert (memory allocation performed) the tuple into the ith location in the array. Implements vtkDataArray.

void vtkUnsignedShortArray::InsertTuple | ( | const vtkIdType | i,
|  | const double * | tuple
| ) | `[virtual]`

| Insert (memory allocation performed) the tuple into the ith location in the array. Reimplemented from vtkDataArray.

vtkIdType vtkUnsignedShortArray::InsertNextTuple | ( | const float * | tuple | ) | `[virtual]`

| Insert (memory allocation performed) the tuple onto the end of the array. Implements vtkDataArray.

vtkIdType vtkUnsignedShortArray::InsertNextTuple | ( | const double * | tuple | ) | `[virtual]`

| Insert (memory allocation performed) the tuple onto the end of the array. Reimplemented from vtkDataArray.

float vtkUnsignedShortArray::GetComponent | ( | const vtkIdType | i,
|  | const int | j
| ) | `[virtual]`

| Return the data component at the ith tuple and jth component location. Note that i is less than NumberOfTuples and j is less than NumberOfComponents. Reimplemented from vtkDataArray.

void vtkUnsignedShortArray::SetComponent | ( | const vtkIdType | i,
|  | const int | j,
|  | float | c
| ) | `[virtual]`

| Set the data component at the ith tuple and jth component location. Note that i is less than NumberOfTuples and j is less than NumberOfComponents. Make sure enough memory has been allocated (use SetNumberOfTuples() and SetNumberOfComponents()). Reimplemented from vtkDataArray.

void vtkUnsignedShortArray::InsertComponent | ( | const vtkIdType | i,
|  | const int | j,
|  | float | c
| ) | `[virtual]`

| Insert the data component at ith tuple and jth component location. Note that memory allocation is performed as necessary to hold the data. Reimplemented from vtkDataArray.

unsigned short vtkUnsignedShortArray::GetValue | ( | const vtkIdType | id | ) | `[inline]`

| Get the data at a particular index. Definition at line 122 of file vtkUnsignedShortArray.h. References id, and vtkIdType.

void vtkUnsignedShortArray::SetValue | ( | const vtkIdType | id,
|  | const unsigned short | value
| ) | `[inline]`

| Set the data at a particular index. Does not do range checking. Make sure you use the method SetNumberOfValues() before inserting data. Definition at line 127 of file vtkUnsignedShortArray.h. References id, and vtkIdType.

void vtkUnsignedShortArray::SetNumberOfValues | ( | const vtkIdType | number | ) | `[inline]`

| Specify the number of values for this object to hold. Does an allocation as well as setting the MaxId ivar. Used in conjunction with SetValue() method for fast insertion. Definition at line 194 of file vtkUnsignedShortArray.h. References Allocate(), vtkDataArray::MaxId, and vtkIdType.

void vtkUnsignedShortArray::InsertValue | ( | const vtkIdType | id,
|  | const unsigned short | i
| ) | `[inline]`

| Insert data at a specified position in the array. Definition at line 215 of file vtkUnsignedShortArray.h. References Array, id, vtkDataArray::MaxId, ResizeAndExtend(), vtkDataArray::Size, and vtkIdType. Referenced by InsertNextValue().

vtkIdType vtkUnsignedShortArray::InsertNextValue | ( | const unsigned | short | ) | `[inline]`

| Insert data at the end of the array. Return its location in the array. Definition at line 229 of file vtkUnsignedShortArray.h. References InsertValue(), vtkDataArray::MaxId, and vtkIdType.

unsigned short* vtkUnsignedShortArray::GetPointer | ( | const vtkIdType | id | ) | `[inline]`

| Get the address of a particular data index. Performs no checks to verify that the memory has been allocated etc. Definition at line 146 of file vtkUnsignedShortArray.h. References id, and vtkIdType.

void* vtkUnsignedShortArray::GetVoidPointer | ( | const vtkIdType | id | ) | `[inline, virtual]`

| Get the address of a particular data index. Performs no checks to verify that the memory has been allocated etc. Implements vtkDataArray. Definition at line 147 of file vtkUnsignedShortArray.h. References id, and vtkIdType.

unsigned short * vtkUnsignedShortArray::WritePointer | ( | const vtkIdType | id,
|  | const vtkIdType | number
| ) | `[inline]`

| Get the address of a particular data index. Make sure data is allocated for the number of items requested. Set MaxId according to the number of data values requested. Definition at line 200 of file vtkUnsignedShortArray.h. References Array, id, vtkDataArray::MaxId, ResizeAndExtend(), vtkDataArray::Size, and vtkIdType.

void vtkUnsignedShortArray::DeepCopy | ( | vtkDataArray * | ia | ) | `[virtual]`

| Deep copy of another unsigned short array. Reimplemented from vtkDataArray.

void vtkUnsignedShortArray::SetArray | ( | unsigned short * | array,
|  | vtkIdType | size,
|  | int | save
| ) |

| This method lets the user specify data to be held by the array. The array argument is a pointer to the data. size is the size of the array supplied by the user. Set save to 1 to keep the class from deleting the array when it cleans up or reallocates memory. The class uses the actual array provided; it does not copy the data from the suppled array.

void vtkUnsignedShortArray::SetVoidArray | ( | void * | array,
|  | vtkIdType | size,
|  | int | save
| ) | `[inline]`

| This method lets the user specify data to be held by the array. The array argument is a pointer to the data. size is the size of the array supplied by the user. Set save to 1 to keep the class from deleting the array when it cleans up or reallocates memory. The class uses the actual array provided; it does not copy the data from the suppled array. Definition at line 167 of file vtkUnsignedShortArray.h. References vtkIdType.

void vtkUnsignedShortArray::Squeeze | ( |  | ) | `[inline, virtual]`

| Resize object to just fit data requirement. Reclaims extra memory. Implements vtkDataArray. Definition at line 172 of file vtkUnsignedShortArray.h.

virtual void vtkUnsignedShortArray::Resize | ( | vtkIdType | numTuples | ) | `[virtual]`

| Resize the array while conserving the data. Implements vtkDataArray.

unsigned short* vtkUnsignedShortArray::ResizeAndExtend | ( | const vtkIdType | sz | ) | `[protected]`

| Referenced by InsertValue(), and WritePointer().

## Member Data Documentation

unsigned short* vtkUnsignedShortArray::Array`[protected]`

| Definition at line 181 of file vtkUnsignedShortArray.h. Referenced by InsertValue(), and WritePointer().

int vtkUnsignedShortArray::TupleSize`[protected]`

| Definition at line 185 of file vtkUnsignedShortArray.h.

float* vtkUnsignedShortArray::Tuple`[protected]`

| Definition at line 186 of file vtkUnsignedShortArray.h.

int vtkUnsignedShortArray::SaveUserArray`[protected]`

| Definition at line 188 of file vtkUnsignedShortArray.h.

The documentation for this class was generated from the following file:

- Common/vtkUnsignedShortArray.h